using Newtonsoft.Json.Linq;
using PTMedicalInsurance.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Business
{
    class OPAdmUploadProcess : AbstractProcess
    {
        public override CallResult Process(JObject joInput)
        {
            JObject jo2203Rtn = invoker.invokeCenterService(TradeEnum.OutpatientAdmUploadA, joInput);
            if (JsonHelper.parseCenterRtnValue(jo2203Rtn, out outParam) != 0)
            {
                return Error("门诊就诊信息上传失败");
            }
            return Success();
        }
    }
}
